Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 24142 - zapping 0.6.6 doesnt install zapping_setup_fb
Summary: zapping 0.6.6 doesnt install zapping_setup_fb
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: High minor (vote)
Assignee: Television related Applications in Gentoo's Portage
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-07-08 22:12 UTC by Travis Tilley (RETIRED)
Modified: 2004-08-30 12:44 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Travis Tilley (RETIRED) gentoo-dev 2003-07-08 22:12:49 UTC
when i run zapping i get the following error:

lv@ayanami lv $ zapping
execvp(zapping_setup_fb): No such file or directory
Message: Error while executing zapping_setup_fb,
Previewing might not work:
[tveng.c] tveng_run_zapping_setup_fb (line 1547)
case 2 failed: Couldn't locate zapping_setup_fb, check your install
Gdk-ERROR **: BadAlloc (insufficient resources for operation)
  serial 3279 error_code 11 request_code 142 minor_code 19
Gdk-ERROR **: BadAlloc (insufficient resources for operation)
  serial 3283 error_code 11 request_code 142 minor_code 19


.....yeah, ignore the gdk error for now. that's a whole other issue.
zapping will work perfectly untill you try to fullscreen it.

ayanami portage # ls /usr/sbin/zap*
ls: /usr/sbin/zap*: No such file or directory
ayanami portage # ls /usr/bin/zap*
/usr/bin/zapping  /usr/bin/zapping_fix_overlay  /usr/bin/zapzilla


the zapping source -is- compiling this binary.

ayanami zapping-0.6.6 # ls -l ./zapping_setup_fb/zapping_setup_fb 
-rwxr-xr-x    1 root     root        23972 Jul  9 01:02
./zapping_setup_fb/zapping_setup_fb


just needs a fix in the ebuild to install this. a simple workaround is to make
install in the source directory after doing an ebuild compile on the ebuild. No
biggie by any means. Even got fullscreen tv out of the deal. :)

I'd submit a patched ebuild but the fix is a quickie and i have some serious
playstation2 time to get in. =D

Reproducible: Always
Steps to Reproduce:
1. emerge zapping 0.6.6
2. fullscreen while watching some choice tv


Actual Results:  
freaks out

Expected Results:  
full-screen tv fun
Comment 1 Martin Holzer (RETIRED) gentoo-dev 2003-07-15 15:05:50 UTC
fixed in cvs